<?php
require_once("../dompdf/dompdf_config.inc.php");
require_once "../dompdf/www/functions.inc.php";
require_once "../app/model/db.class.php";

   $obj = new database();

   $grado=$_REQUEST['grado'];
   $curso=$_REQUEST['curso'];
   $periodo=$_REQUEST['periodo'];

   if  ($periodo==4)
        $periodo=3;

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<head>
    <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
    <meta http-equiv='expires' content='0'>
    <meta http-equiv='Cache-Control' content='no-cache'>
    <meta http-equiv='Pragma' CONTENT='no-cache'>";
    $s.="<title>Logros Reprobados</title>";
    $s.="</head>";

    $s.="<body>";
    $s.="<center>";

    $s.="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";

     $s.="<tr>";
     $s.="<td align='center' rowspan='3'><img src='../imagenes/escudo.jpg' width='100' height='90'/></td>";

     /*----- NOMBRE DE LA INSTITUCIÓN-SEDE-GRADO-CURSO- ----- */

     $datos=$obj->consulta("select * from registrar");
     $row_inst = $obj->fetch_assoc($datos);
     $s.="<td align='center' colspan='3'>".($row_inst['institucion'])."</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='3'>ALUMNOS CON LOGROS REPROBADOS</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center'>GRADO:".$grado."</td>";
     $s.="<td align='center'>CURSO:".$curso."</td>";
     $s.="<td align='center'>TRIMESTRE:".$periodo."</td>";
     $s.="</tr>";
          
     $s.="</table></center><br>";

    $consulta = "SELECT curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, catalogo.codigo, catalogo.nombrecorto
                 FROM catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                 WHERE curso_asignatura_profesor.grado='".$grado."' AND curso_asignatura_profesor.curso='".$curso."' ORDER BY catalogo.orden";

    $query = $obj->consulta($consulta);
    $numero = $obj->numero_de_filas($query); 

    while ($row = $obj->fetch_assoc($query)){  //---ASIGNATURAS -----

     $s.="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
     $s.="<tr>";
     $s.="<td style='background:#CEECF5;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 12px'>ASIGNATURA: ".$row['codigo']." - ".$row['nombrecorto']."</td>";
     $s.="</tr></table><br>";

     //-- LOGROS DE CONOCIMIENTO--
     
     $query1 = $obj->consulta("SELECT * FROM logros WHERE asignatura='".$row['codigo']."' AND grado='".$grado."' AND curso='".$curso."' AND periodo='".$periodo."' AND saber=1");
     $n1 = $obj->numero_de_filas($query1); 

     while ($row1 = $obj->fetch_assoc($query1)){

           $query11 = $obj->consulta("SELECT detalleboletin.alumno,indicadores.valor_logro FROM detalleboletin LEFT JOIN indicadores ON detalleboletin.secuencial = indicadores.detalle_boletin 
                     WHERE indicadores.numero_logro='1' AND detalleboletin.boletin IN (SELECT numero FROM boletin WHERE asignatura='".$row['codigo']."' AND grado='".$grado."' AND curso='".$curso."' AND periodo='".$periodo."') 
                     AND (indicadores.valor_logro='.b' OR indicadores.valor_logro='D')");
          
           $n11 = $obj->numero_de_filas($query11); 

           if ($n11>0){
           
               $s.="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
               $s.="<tr>";
               $s.="<td>CONOCIMIENTO: ".$row1['codigo']." - ".$row1['descripcion']."</td>";
               $s.="</tr></table>";
                         
               //--- ALUMNOS ----
                  
               $s.="<table width='70%' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
 
               while ($row11 = $obj->fetch_assoc($query11)){
                     $s.="<tr>";
                     $alum1= $obj->consulta("SELECT CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) as nombres FROM alumnos WHERE codigo='".$row11['alumno']."'");                   
                     $row_a1 = $obj->fetch_assoc($alum1);
                     
                     $s.="<td>".$row11['alumno']."</td><td>".$row_a1['nombres']."</td><td>".$row11['valor_logro']."</td>";
                     $s.="</tr>";        
               }
               $s.="</table><br>";

           }

     }
     
     //-- LOGROS DE APLICACION--
     
     $query2 = $obj->consulta("SELECT * FROM logros WHERE asignatura='".$row['codigo']."' AND grado='".$grado."' AND curso='".$curso."' AND periodo='".$periodo."' AND saber=2");
     $n2 = $obj->numero_de_filas($query2); 

     while ($row2 = $obj->fetch_assoc($query2)){
           
           $query21 = $obj->consulta("SELECT detalleboletin.alumno,indicadores.valor_logro FROM detalleboletin LEFT JOIN indicadores ON detalleboletin.secuencial = indicadores.detalle_boletin 
                     WHERE indicadores.numero_logro='2' AND detalleboletin.boletin IN (SELECT numero FROM boletin WHERE asignatura='".$row['codigo']."' AND grado='".$grado."' AND curso='".$curso."' AND periodo='".$periodo."') 
                     AND (indicadores.valor_logro='.b' OR indicadores.valor_logro='D')");
          
           $n21 = $obj->numero_de_filas($query21); 

           if ($n21>0){ 

               $s.="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
               $s.="<tr>";
               $s.="<td>APLICACI&Oacute;N: ".$row2['codigo']." - ".$row2['descripcion']."</td>";
               $s.="</tr></table>";
                    
               //--- ALUMNOS ----
               
               $s.="<table width='70%' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
 
               while ($row21 = $obj->fetch_assoc($query21)){
                     $s.="<tr>";
                     $alum2= $obj->consulta("SELECT CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) as nombres FROM alumnos WHERE codigo='".$row21['alumno']."'");                   
                     $row_a2 = $obj->fetch_assoc($alum2);
                     
                     $s.="<td>".$row21['alumno']."</td><td>".$row_a2['nombres']."</td><td>".$row21['valor_logro']."</td>";
                     $s.="</tr>";        
               }
               $s.="</table><br>";           
          
           }
     }     

     //-- LOGROS DE CONVIVENCIA--
     
     $query3 = $obj->consulta("SELECT * FROM logros WHERE asignatura='".$row['codigo']."' AND grado='".$grado."' AND curso='".$curso."' AND periodo='".$periodo."' AND saber=3");
     $n3 = $obj->numero_de_filas($query3); 

     while ($row3 = $obj->fetch_assoc($query3)){
           
           $query31 = $obj->consulta("SELECT detalleboletin.alumno,indicadores.valor_logro FROM detalleboletin LEFT JOIN indicadores ON detalleboletin.secuencial = indicadores.detalle_boletin 
                     WHERE indicadores.numero_logro='3' AND detalleboletin.boletin IN (SELECT numero FROM boletin WHERE asignatura='".$row['codigo']."' AND grado='".$grado."' AND curso='".$curso."' AND periodo='".$periodo."') 
                     AND (indicadores.valor_logro='.b' OR indicadores.valor_logro='D')");
          
           $n31 = $obj->numero_de_filas($query31); 

           if ($n31>0){

               $s.="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
               $s.="<tr>";
               $s.="<td>CONVIVENCIA: ".$row3['codigo']." - ".$row3['descripcion']."</td>";
               $s.="</tr></table>";
           
               //--- ALUMNOS ----
               
               $s.="<table width='70%' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
 
               while ($row31 = $obj->fetch_assoc($query31)){
                      $s.="<tr>";
                      
                      $alum3= $obj->consulta("SELECT CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) as nombres FROM alumnos WHERE codigo='".$row31['alumno']."'");                   
                      $row_a3 = $obj->fetch_assoc($alum3);
                                          
                      $s.="<td>".$row31['alumno']."</td><td>".$row_a3['nombres']."</td><td>".$row31['valor_logro']."</td>";
                      $s.="</tr>";        
               }
               $s.="</table><br>";             

           } 
     }  
      
    }


     
     
     $s.="</body></html>";

     /*--------------------------------------*/

    $obj->disconnect();

    $dompdf = new DOMPDF();
    $dompdf->load_html($s);
    $dompdf->set_paper('A4', 'portrait');
    $dompdf->render();

    $dompdf->stream("Logros_Reprobados.pdf", array("Attachment" => false));

    $obj->disconnect();

?>